%global momorel 4
%global contentdir /var/www/%{name}

Summary: Fastladder is a server-based RSS reader
Name: fastladder
Version: 0.0.2
Release: %{momorel}m%{?dist}
Group: Development/Languages
License: MIT 
URL: http://fastladder.org/
Source0: http://fastladder.org/downloads/fastladder-%{version}-src.tar.gz
NoSource: 0
Source1: fastladder.init
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: rubygems
Requires: rubygem-rails
Requires: rubygem-rfeedfinder
Requires: rubygem-feed-normalizer
Requires: rubygem-opml
Requires: rubygem-mongrel
Requires: ruby-sqlite3
Requires: freeimage
BuildArch: noarch

%description
Fastladder is a server-based RSS reader. It is able to handle not only
RSS feeds on the Internet but also those of on the Intranet since it 
can be installed and used on local servers.

%prep

%setup -q -n %{name}

sed -i "s/\/usr\/bin\/ruby1.8/\/usr\/bin\/ruby/g" public/*.*

%build
rm -rf %{buildroot}

%install
mkdir -p %{buildroot}/%{contentdir}
cp -r * %{buildroot}/%{contentdir}/

mkdir -p %{buildroot}/%{_sysconfdir}/init.d
install -m755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/init.d/fastladder

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -c "Fastladder"  \
        -s /sbin/nologin -r -d %{contentdir} fastladder 2> /dev/null || :

%preun
if [ "$1" = "0" ] ; then
  /sbin/service fastladder stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del fastladder
fi

%post
/sbin/chkconfig --add fastladder
pushd %{contentdir} 2>&1 > /dev/null
RAILS_ENV=production rake db:migrate 2>&1 > /dev/null

%files
%defattr(-, fastladder, fastladder, -)
%doc INSTALL.txt LICENSE.txt README.txt
%dir %{contentdir}
%{contentdir}/*
%{_sysconfdir}/init.d/fastladder

%changelog
* Wed Feb 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-4m)
- update fastladder.init

* Wed Feb 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-3m)
- add Req rubygem-rails

* Tue Feb 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-2m)
- add /etc/init.d/fastladder. but TORIAEZU...

* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-1m)
- Initial Commit

